
Redmine - Defect #7426

Cannot add issue with numeric value

2011-01-24 18:52 - Jonas Haraldsson

Status: Closed Start date: 2011-01-24

Priority: Normal Due date: 2013-01-22

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: No feedback Affected version: 1.0.4

Description

I have just upgraded Redmine to 1.0.4 (installing a new Bitnami Redmine stack and importing the database from Bitnami Redmine

stack v0.9.6).

When I try to add a new issue, I get an error page (500).

The problem only appears if I enter a value in the "Estimated hours"-field.

See the attached production.log.tail.

As far as I can see, if I enter the value 2.2 in "Estimated hours", the value is sent as "2,2" which Mysql sees as two different values.

Database version: Mysql (mysql  Ver 14.14 Distrib 5.1.50, for pc-linux-gnu (i686) using readline 5.1)

Rails version: 2.3.9

Ruby version: ruby 1.8.7 (2010-01-10 patchlevel 249) [i686-linux]

History

#1 - 2011-01-25 08:21 - Jonas Haraldsson

The problem disappears if I change the decimal point from "," to "." on the client PC (Windows XP).

(this is not a usable work-around!)

#2 - 2011-01-25 10:26 - Jonas Haraldsson

I have verified the same behaviour in Redmine v1.1.0.

It seems that this problem starts when I add an issue in a project where time tracking is disabled.

After that the same problem occurs for all new issues I try to create if the "Estimated hours" field is not empty.

The problem remains until I restart the redmine server.

In other words, A work-around is to enable time tracking on all projects.

#3 - 2011-01-25 18:11 - Jean-Philippe Lang

Any plugin installed?

#4 - 2011-01-25 22:10 - Jonas Haraldsson

No plugins installed.

#5 - 2013-01-15 13:49 - Daniel Felix

- Due date set to 2013-01-22

- Status changed from New to Needs feedback

I'm currently not able to reproduce this with Redmine 2.2.1 and a new MySQL Release.

Please confirm if this issue is solved in the recent versions. Otherwise I will close this issue next week.

#6 - 2013-02-04 16:02 - Daniel Felix

- Status changed from Needs feedback to Closed

Closing this, as there is no feedback ont his issue and the affected version is realy old.
#7 - 2013-02-04 16:04 - Daniel Felix

- Resolution set to No feedback

Closing this, as there is no feedback ont his issue and the affected version is realy old.

Files

production.log.tail 1.32 KB 2011-01-24 Jonas Haraldsson

production.log 53.2 KB 2011-01-24 Jonas Haraldsson
